ubuntu-location-service: com::ubuntu::location::SpaceVehicle::Key Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::SpaceVehicle::Key Struct Reference

Uniquely identifies a space vehicle, given its type and its id. More...

`#include <space_vehicle.h>`

Collaboration diagram for com::ubuntu::location::SpaceVehicle::Key:

## Public Member Functions
bool | operator== (const SpaceVehicle::Key &rhs) const
bool | operator< (const SpaceVehicle::Key &rhs) const

## Public Attributes
Type | type = Type::unknown
| The positioning system this vehicle belongs to. More...
Id | id = 0
| Unique id of the space vehicle. More...

## Detailed Description

Uniquely identifies a space vehicle, given its type and its id.

Definition at line 52 of file space_vehicle.h.

## Member Function Documentation

## ◆ operator<()

bool com::ubuntu::location::SpaceVehicle::Key::operator< | ( | const SpaceVehicle::Key & | rhs | ) | const
| inline

Definition at line 62 of file space_vehicle.h.

References id, and type.

## ◆ operator==()

bool com::ubuntu::location::SpaceVehicle::Key::operator== | ( | const SpaceVehicle::Key & | rhs | ) | const
| inline

Definition at line 57 of file space_vehicle.h.

References id, and type.

## Member Data Documentation

## ◆ id

Id com::ubuntu::location::SpaceVehicle::Key::id = 0

Unique id of the space vehicle.

Definition at line 55 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle::Key >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle::Key >::encode_argument(), operator<(), com::ubuntu::location::operator<<(), and operator==().

## ◆ type

Type com::ubuntu::location::SpaceVehicle::Key::type = Type::unknown

The positioning system this vehicle belongs to.

Definition at line 54 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle::Key >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle::Key >::encode_argument(), operator<(), com::ubuntu::location::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/space_vehicle.h